> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1messagesourcetypes



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.FIDS.Connector//swagger/v1/swagger.json get /api/v1/messagesource/types
openapi: 3.0.0
info:
  title: NDS.Services.FIDS.Connector
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.FIDS.Connector/
security: []
paths:
  /api/v1/messagesource/types:
    get:
      tags:
        - MessageSource
      operationId: MessageSource_GetMessageSourceTypes
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMessageSourceTypesResult'
components:
  schemas:
    GetMessageSourceTypesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Types:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/MessageSourceType'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    MessageSourceType:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        AuthenticationTypes:
          type: array
          nullable: true
          items:
            type: string
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````